CREATE TABLE cn_rs_rules_int (
    BATCH_ID                 NUMBER(18, 0)     NOT NULL,
    FILE_RECORD_NUM          NUMBER        ,
    INTERFACE_ROW_ID         NUMBER(18, 0)     NOT NULL,
    FILE_NAME_SYSTASK_ID     NUMBER        ,
    IMPORT_STATUS_CODE       VARCHAR2(4)   ,
    ERROR_MESSAGE            VARCHAR2(4000),
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    RULE_NUMBER              VARCHAR2(120) ,
    RULE_ID                  NUMBER(18, 0) ,
    NAME                     VARCHAR2(640) ,
    DESCRIPTION              VARCHAR2(4000),
    PARENT_RULE_NUMBER       VARCHAR2(120) ,
    PARENT_NAME              VARCHAR2(640) ,
    PARENT_ORG_ID            NUMBER(18, 0) ,
    PARENT_RULE_ID           NUMBER(18, 0) ,
    PARENT_USAGE_ID          NUMBER(18, 0) ,
    PARENT_START_DATE        DATE          ,
    PARENT_END_DATE          DATE          ,
    ENABLED_FLAG             VARCHAR2(4)   ,
    USAGE_ID                 NUMBER(18, 0) ,
    USAGE_NAME               VARCHAR2(640) ,
    ORG_ID                   NUMBER(18, 0) ,
    ORG_NAME                 VARCHAR2(960) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    RANK                     VARCHAR2(80)  ,
    NUM_WINNERS              VARCHAR2(36)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(960) ,
    ATTRIBUTE2               VARCHAR2(960) ,
    ATTRIBUTE3               VARCHAR2(960) ,
    ATTRIBUTE4               VARCHAR2(960) ,
    ATTRIBUTE5               VARCHAR2(960) ,
    ATTRIBUTE6               VARCHAR2(960) ,
    ATTRIBUTE7               VARCHAR2(960) ,
    ATTRIBUTE8               VARCHAR2(960) ,
    ATTRIBUTE9               VARCHAR2(960) ,
    ATTRIBUTE10              VARCHAR2(960) ,
    ATTRIBUTE11              VARCHAR2(960) ,
    ATTRIBUTE12              VARCHAR2(960) ,
    ATTRIBUTE13              VARCHAR2(960) ,
    ATTRIBUTE14              VARCHAR2(960) ,
    ATTRIBUTE15              VARCHAR2(960) ,
    BATCH_ID                 NUMBER(18, 0)     NOT NULL,
    FILE_RECORD_NUM          NUMBER        ,
    INTERFACE_ROW_ID         NUMBER(18, 0)     NOT NULL,
    FILE_NAME_SYSTASK_ID     NUMBER        ,
    IMPORT_STATUS_CODE       VARCHAR2(4)   ,
    ERROR_MESSAGE            VARCHAR2(4000),
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    RULE_NUMBER              VARCHAR2(120) ,
    RULE_ID                  NUMBER(18, 0) ,
    NAME                     VARCHAR2(640) ,
    DESCRIPTION              VARCHAR2(4000),
    PARENT_RULE_NUMBER       VARCHAR2(120) ,
    PARENT_NAME              VARCHAR2(640) ,
    PARENT_ORG_ID            NUMBER(18, 0) ,
    PARENT_RULE_ID           NUMBER(18, 0) ,
    PARENT_USAGE_ID          NUMBER(18, 0) ,
    PARENT_START_DATE        DATE          ,
    PARENT_END_DATE          DATE          ,
    ENABLED_FLAG             VARCHAR2(4)   ,
    USAGE_ID                 NUMBER(18, 0) ,
    USAGE_NAME               VARCHAR2(640) ,
    ORG_ID                   NUMBER(18, 0) ,
    ORG_NAME                 VARCHAR2(960) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    RANK                     VARCHAR2(80)  ,
    NUM_WINNERS              VARCHAR2(36)  ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(960) ,
    ATTRIBUTE2               VARCHAR2(960) ,
    ATTRIBUTE3               VARCHAR2(960) ,
    ATTRIBUTE4               VARCHAR2(960) ,
    ATTRIBUTE5               VARCHAR2(960) ,
    ATTRIBUTE6               VARCHAR2(960) ,
    ATTRIBUTE7               VARCHAR2(960) ,
    ATTRIBUTE8               VARCHAR2(960) ,
    ATTRIBUTE9               VARCHAR2(960) ,
    ATTRIBUTE10              VARCHAR2(960) ,
    ATTRIBUTE11              VARCHAR2(960) ,
    ATTRIBUTE12              VARCHAR2(960) ,
    ATTRIBUTE13              VARCHAR2(960) ,
    ATTRIBUTE14              VARCHAR2(960) ,
    ATTRIBUTE15              VARCHAR2(960) 
);
